Bug 623290 - eina may need to be rebuilt against Python 2.7 in F14 and rawhide
Summary: eina may need to be rebuilt against Python 2.7 in F14 and rawhide
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: eina
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 623233
Blocks: Python27Rebuild
TreeView+ depends on / blocked
 
Reported: 2010-08-11 18:31 UTC by Dave Malcolm
Modified: 2011-09-02 16:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-02 16:18:27 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2010-08-11 18:31:01 UTC
This is an automatically-filed bug.

eina-0.9.1-1.fc13 contains one or more .pyc files, but has not been rebuilt since Python 2.7 was built for Fedora, and thus the .pyc files presumably are for Python 2.6.  Python 2.7 changed the bytecode format, so usage of those files will typically fail (see e.g. bug 621726).

The package needs to be rebuilt against python 2.7 in both F14 and devel.

Information on the new "dist-git" system can be seen here:
  http://fedoraproject.org/wiki/Using_Fedora_GIT

Information on common difficulties with Python 2.7 rebuilds can be seen here:
  https://fedoraproject.org/wiki/Features/Python_2.7

Once it's been successfully rebuilt for F14, an update needs to be filed to get the rebuild into F14:
  https://admin.fedoraproject.org/updates/new/

Please add this bug to the update, to make it easy to track what's been done, and what's left to do.

I'm sorry that this component was not handled by the mass rebuild.  (This may be due to bug 623233)

Comment 1 Dave Malcolm 2010-08-12 00:16:28 UTC
I tried an automated rebuild, but it failed:
http://koji.fedoraproject.org/koji/getfile?taskID=2394609&name=build.log

cc1: warnings being treated as errors
main.c: In function 'unique_message_received_cb':
main.c:319:17: error: comparison between 'UniqueCommand' and 'enum <anonymous>'
main.c:319:45: error: comparison between 'UniqueCommand' and 'enum <anonymous>'
main.c:336:15: error: comparison between 'UniqueCommand' and 'enum <anonymous>'

Comment 2 Toshio Ernie Kuratomi 2011-09-02 16:18:27 UTC
I see that this package has been retired in f15+.  Closing the bug.  Someone would need to revive this package via a new review anyway.


Note You need to log in before you can comment on or make changes to this bug.